Summary: A Java template engine
Name: stringtemplate
Version: 3.2.1
Release: %mkrel 19
Group:   Development/Java
License: BSD
URL: https://www.stringtemplate.org/
Source0: https://www.stringtemplate.org/download/stringtemplate-%{version}.tar.gz
# Build jUnit tests + make the antlr2 generated code before preparing sources
Patch0: stringtemplate-3.1-build-junit.patch
Patch1: java21-compatibility.patch

BuildRequires: ant
BuildRequires: ant-antlr
BuildRequires: ant-junit
BuildRequires: javapackages-local

BuildArch: noarch
#ExclusiveArch:  %%{java_arches} noarch

%description
StringTemplate is a java template engine (with ports for 
C# and Python) for generating source code, web pages,
emails, or any other formatted text output. StringTemplate
is particularly good at multi-targeted code generators,
multiple site skins, and internationalization/localization.

%package        javadoc
Summary:        API documentation for %{name}
Requires:       java-javadoc

%description    javadoc
API documentation for %{name}.

%prep
%setup -q
%patch -P 0
%patch -P 1 -p1
sed -i -e 's/source="1.4"/source="1.8"/g' build.xml
sed -i -e 's/target="1.4"/target="1.8"/g' build.xml

%build
rm -rf lib target
ant jar
ant javadocs -Dpackages= -Djavadocs.additionalparam="-Xdoclint:none"

%install
%mvn_artifact pom.xml build/%{name}.jar
%mvn_file : %{name}
%mvn_install -J docs/api/

%files -f .mfiles
%license LICENSE.txt
%doc README.txt

%files javadoc
%license LICENSE.txt
%{_javadocdir}/%{name}



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.2.1-19.mga10
+ Revision: 2223847
- Mageia 10 Mass Rebuild

* Sun May 26 2024 daviddavid <daviddavid> 3.2.1-18.mga10
+ Revision: 2067829
- add debian patch to fix compatibility with java 21
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 3.2.1-17.mga9
+ Revision: 1828801
- Mageia 9 Mass Rebuild

* Sun Sep 06 2020 daviddavid <daviddavid> 3.2.1-16.mga8
+ Revision: 1622887
- Update to build under Java 11
- Rebuilt for JDK-11
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 3.2.1-15.mga8
+ Revision: 1508150
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 3.2.1-14.mga7
+ Revision: 1291714
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Update a few macros

* Mon Oct 02 2017 daviddavid <daviddavid> 3.2.1-13.mga7
+ Revision: 1162634
- add missing BR on javapackages-local to fix build
+ neoclust <neoclust>
- Second rebuild of the java stack
- First rebuild of the java stack
- sync package stringtemplate with fedora

* Tue Feb 09 2016 umeabot <umeabot> 3.2.1-12.mga6
+ Revision: 951892
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 daviddavid <daviddavid> 3.2.1-11.mga5
+ Revision: 809471
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 3.2.1-10.mga5
+ Revision: 747232
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.1-9.mga5
+ Revision: 689559
- Mageia 5 Mass Rebuild

* Sun Dec 29 2013 dmorgan <dmorgan> 3.2.1-8.mga4
+ Revision: 563225
- Use add_maven_depmap instead of add_to_maven_depmap to fix FTBFS
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.2.1-6.mga3
+ Revision: 383557
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 dmorgan <dmorgan> 3.2.1-5.mga3
+ Revision: 337438
- Java stack mass rebuild

* Thu Apr 28 2011 dmorgan <dmorgan> 3.2.1-4.mga1
+ Revision: 93145
- Rebuild after bootstrapping

* Wed Apr 27 2011 dmorgan <dmorgan> 3.2.1-3.mga1
+ Revision: 91989
- Fix groups
  Remove bootstrap
- imported package stringtemplate


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 29 2010 Miloš Jakubíček <xjakub@fi.muni.cz> - 3.2.1-1
- Update to 3.2.1
- Supply maven POM files
- Drop stringtemplate-3.1-disable-broken-test.patch (merged upstream)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Apr 05 2008 Colin Walters <walters@redhat.com> - 3.1-1
- First version
